Sql Server Instances - get Best Practices Assessment

Retrieves SQL best practices assessment results for the SQL Server instance.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/sqlServerInstances/{sqlServerInstanceName}/getBestPracticesAssessment?api-version=2026-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

The name of the Azure resource group

sqlServerInstanceName
path True

string

Name of SQL Server Instance

subscriptionId
path True

string

The ID of the Azure subscription

api-version
query True

string

The API version to use for the request

Request Body

Name Type Description
sqlServerInstanceBpaRequest

SqlServerInstanceBpaRequest

The request to fetch the SQL best practices assessment results.

Responses

Name Type Description
200 OK

SqlServerInstanceBpaResponse

OK

202 Accepted

Arc SQL Server best practices assessment results retrieval is in progress.

Headers

  • Location: string
  • Azure-AsyncOperation: string
Other Status Codes

ErrorResponse

*** Error Responses: ***

Examples

Retrieves Arc SQL Server best practices assessment results.

Sample request

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerInstances/testsqlserver/getBestPracticesAssessment?api-version=2026-01-01

{
  "reportId": "ad43a05f-efed-448a-ae53-5e4abd29068f",
  "reportType": "AssessmentSummary"
}

Sample response

{
  "columns": [
    {
      "name": "TimestampUTC",
      "type": "datetime"
    },
    {
      "name": "Body",
      "type": "string"
    }
  ],
  "rows": [
    [
      "2023-09-30T00:00:00Z",
      "{\"IsSuccessful\":true,\"CompletedTime\":\"2025-04-04T15:14:51.2080017+05:30\",\"ErrorMessage\":\"\"}"
    ]
  ],
  "nextLink": "https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/sqlServerInstances/testsqlserver/getBestPracticesAssessment?api-version=2026-01-01&skipToken=MzlmOGYzY2EtNzNhMy00OWUwLWIzYTctZjJlYmQyOTU1NmQzOi9zdWJzY3JpcHRpb25zLzUzNGZjMmY4LWM1NjMtNDY4Yi1iOTkzLWQyOTFhMGJlM2Q2MS9yZXNvdXJjZUdyb3Vwcy9uaGViYmFyLWRmL3Byb3ZpZGVycy9NaWNyb3NvZnQuQXp1cmVBcmNEYXRhL3NxbFNlcnZlckluc3RhbmNlcy9DUEMtbmhlYmItTllPUzMtZGV2OjM="
}
Azure-AsyncOperation: https://management.azure.com/providers/Microsoft.AzureArcData/locations/eastus2euap/operationStatuses/5abb198d-cc4b-46bd-9e6c-e3f0ba22015d?api-version=2026-01-01
Location: https://management.azure.com/providers/Microsoft.AzureArcData/locations/eastus2euap/operationStatuses/5abb198d-cc4b-46bd-9e6c-e3f0ba22015d?api-version=2026-01-01

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

SqlServerInstanceBpaColumn

The SQL best practices assessment response columns.

SqlServerInstanceBpaColumnType

The type of the result column.

SqlServerInstanceBpaReportType

The report type that needs to be fetched. If not specified, the default is AssessmentSummary.

SqlServerInstanceBpaRequest

The request to fetch the SQL best practices assessment results.

SqlServerInstanceBpaResponse

A section of the SQL best practices assessment response.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

SqlServerInstanceBpaColumn

The SQL best practices assessment response columns.

Name Type Description
name

string

The name of the result column.

type

SqlServerInstanceBpaColumnType

The type of the result column.

SqlServerInstanceBpaColumnType

The type of the result column.

Value Description
bool
datetime
int
long
double
string
guid
timespan

SqlServerInstanceBpaReportType

The report type that needs to be fetched. If not specified, the default is AssessmentSummary.

Value Description
AssessmentDataPoint
AssessmentSummary

SqlServerInstanceBpaRequest

The request to fetch the SQL best practices assessment results.

Name Type Description
reportId

string

The GUID of the report to return best practices assessment results for. If not specified, summaries for all reports will be returned.

reportType

SqlServerInstanceBpaReportType

The report type that needs to be fetched. If not specified, the default is AssessmentSummary.

skipToken

string

The opaque token to use to skip to a specific page of the report. If not specified, the first page will be returned.

SqlServerInstanceBpaResponse

A section of the SQL best practices assessment response.

Name Type Description
columns

SqlServerInstanceBpaColumn[]

The SQL best practices assessment response columns.

nextLink

string

The link to the next page of the best practices assessment response for the SQL Server instance. Null, if no more pages are available.

rows

string[]

An array of results of the SQL best practices assessment response.